"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _foundation = _interopRequireDefault(require("../base/foundation"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class CollapsibleFoundation extends _foundation.default {
  constructor(adapter) {
    super(Object.assign({}, adapter));

    this.updateDOMInRenderTree = isInRenderTree => {
      this._adapter.setDOMInRenderTree(isInRenderTree);
    };

    this.updateDOMHeight = domHeight => {
      this._adapter.setDOMHeight(domHeight);
    };

    this.updateVisible = visible => {
      this._adapter.setVisible(visible);
    };

    this.updateIsTransitioning = isTransitioning => {
      this._adapter.setIsTransitioning(isTransitioning);
    };
  }

}

var _default = CollapsibleFoundation;
exports.default = _default;